Page MenuHomePhabricator

PageCuration: Get rid of synchronous AJAX request on page load
Closed, ResolvedPublic

Description

In ext.PageTriage.viewUtil.js, there is a synchronous AJAX request executed on page load. Firefox 30 complains about this in the JS console:

Synchronous XMLHttpRequest on the main thread is deprecated because of its
detrimental effects to the end user's experience. For more help
http://xhr.spec.whatwg.org/

Don't know why this request has to be synchronous. Code should be refactored so it can be made asynchronous.


Version: master
Severity: normal

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:27 AM
bzimport set Reference to bz66898.
bzimport added a subscriber: Unknown Object (MLST).
TTO created this task.Jun 21 2014, 4:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:38 AM
Krinkle set Security to None.
Krinkle moved this task from Unsorted to Needs removal on the Technical-Debt board.
Krinkle removed subscribers: Krinkle, wikibugs-l-list.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 13 2018, 11:10 PM

Change 449612 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/PageTriage@master] Deliver HTML templates using ResourceLoader rather than API calls

https://gerrit.wikimedia.org/r/449612

matmarex claimed this task.Jul 31 2018, 9:33 PM
matmarex lowered the priority of this task from High to Low.

@matmarex -- are you in need of code review for this fix? If so, the Growth team could help. Let us know!

@MMiller_WMF Yes, but it's not urgent, this task is four years old and it will not hurt if it takes a few weeks to fix.

MMiller_WMF added subscribers: SBisson, Catrope.

Okay. @Catrope or @SBisson -- it would be helpful if you review this. I'll put it in line for our next sprint so that we don't forget.

Change 449612 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Deliver HTML templates using ResourceLoader rather than API calls

https://gerrit.wikimedia.org/r/449612

@matmarex thanks for your work on this!

Etonkovidova closed this task as Resolved.Aug 17 2018, 9:28 PM